wibble::RangeIterator< R >::Proxy Struct Reference

`#include <range.h>`

## Public Member Functions

| Proxy (T _x)
const T * | operator-> () const

## Public Attributes

T | x

## Constructor & Destructor Documentation

template<typename R >

wibble::RangeIterator< R >::Proxy::Proxy | ( | T | _x | ) |

inline

## Member Function Documentation

template<typename R >

const T* wibble::RangeIterator< R >::Proxy::operator-> | ( |  | ) | const

inline

References wibble::RangeIterator< R >::Proxy::x.

## Member Data Documentation

template<typename R >

T wibble::RangeIterator< R >::Proxy::x

Referenced by wibble::RangeIterator< R >::Proxy::operator->().

The documentation for this struct was generated from the following file:

- range.h